## com.lowagie.text.pdf
Class BadPdfFormatException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.lowagie.text.DocumentException
                  com.lowagie.text.pdf.PdfException
                      com.lowagie.text.pdf.BadPdfFormatException

All Implemented Interfaces:
  Serializable

public class BadPdfFormatException
extends PdfException

Signals that a bad PDF format has been used to construct a `PdfObject`.

See Also:
  `PdfException`, `PdfBoolean`, `PdfNumber`, `PdfString`, `PdfName`, `PdfDictionary`, `PdfFont`, Serialized Form

Field Summary

Fields inherited from class com.lowagie.text.DocumentException
``

Fields inherited from class java.lang.Exception
``

Fields inherited from class java.lang.Throwable
``

Constructor Summary
`(package private)` `BadPdfFormatException()` Constructs a `BadPdfFormatException` whithout a message.
`(package private)` `BadPdfFormatException(String message)` Constructs a `BadPdfFormatException` with a message.

Methods inherited from class com.lowagie.text.DocumentException
`getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BadPdfFormatException

    BadPdfFormatException()

  Constructs a `BadPdfFormatException` whithout a message.

### BadPdfFormatException

    BadPdfFormatException(String message)

  Constructs a `BadPdfFormatException` with a message.

Parameters:
  `message` - a message describing the exception